worker_processes 1;

error_log  /APMServ5.2.6/nginx/logs/error.log  crit;

pid        /APMServ5.2.6/nginx/logs/nginx.pid;

events {
    worker_connections  64;
}

http {
    include       /APMServ5.2.6/nginx/conf/mime.types;
    default_type  application/octet-stream;

    #charset  gb2312;
     
    server_names_hash_bucket_size 128;
    client_header_buffer_size 32k;
    large_client_header_buffers 4 32k;
     
    keepalive_timeout 60;

    fastcgi_connect_timeout 300;
    fastcgi_send_timeout 300;
    fastcgi_read_timeout 300;
    fastcgi_buffer_size 64k;
    fastcgi_buffers 4 64k;
    fastcgi_busy_buffers_size 128k;
    fastcgi_temp_file_write_size 128k;

    gzip on;
    gzip_min_length  1k;
    gzip_buffers     4 16k;
    gzip_http_version 1.0;
    gzip_comp_level 2;
    gzip_types       text/plain application/x-javascript text/css application/xml;
    gzip_vary on;

    server {
        listen       85;
        server_name  localhost;
        index index.html index.htm index.php;
        root   /APMServ5.2.6/www/htdocs;
        autoindex on;
	
        location ~ .*\.(php|php5)?$ {
            fastcgi_pass   127.0.0.1:9000;
            include /APMServ5.2.6/nginx/conf/fastcgi_params;
        }

        log_format  access  '$remote_addr - $remote_user [$time_local] "$request" '
             '$status $body_bytes_sent "$http_referer" '
             '"$http_user_agent" $http_x_forwarded_for';
        access_log  /APMServ5.2.6/nginx/logs/access.log  access;
    }
}


